Bug 233028 - www/firefox: update to 64.0
Summary: www/firefox: update to 64.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 229893
Blocks: 233791
  Show dependency treegraph
 
Reported: 2018-11-06 14:57 UTC by Jan Beich
Modified: 2018-12-10 21:34 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
Firefox PIE procstat output (252.85 KB, text/plain)
2018-11-07 18:18 UTC, Shawn Webb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-11-06 14:57:58 UTC
See review D17871 for the patch.
Comment 1 Jan Beich freebsd_committer 2018-11-06 15:00:15 UTC
Shawn, can you check PIE still works for you?
https://bugzilla.mozilla.org/show_bug.cgi?id=1079662
Comment 2 Shawn Webb 2018-11-06 15:02:46 UTC
I'd be happy to. I'll try to get that done by the end of this week.
Comment 3 Shawn Webb 2018-11-07 18:18:18 UTC
Created attachment 199060 [details]
Firefox PIE procstat output

Jan,

PIE still works with the patch from phabricator. Please let me know if you need anything else and I'd be happy to help.
Comment 4 commit-hook freebsd_committer 2018-12-04 00:55:04 UTC
A commit references this bug:

Author: jbeich
Date: Tue Dec  4 00:54:40 UTC 2018
New revision: 486573
URL: https://svnweb.freebsd.org/changeset/ports/486573

Log:
  www/firefox: update to 64.0

  Changes:	https://www.mozilla.org/firefox/64.0/releasenotes/
  PR:		233028
  Security:	d10b49b2-8d02-49e8-afde-0844626317af
  MFH:		2018Q4
  Differential Revision:	https://reviews.freebsd.org/D17871

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1500484
  head/www/firefox/files/patch-bug1507655
  head/www/firefox/files/patch-bug1509757
  head/www/firefox/files/patch-bug847568
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 5 commit-hook freebsd_committer 2018-12-04 01:15:21 UTC
A commit references this bug:

Author: jbeich
Date: Tue Dec  4 01:14:55 UTC 2018
New revision: 486575
URL: https://svnweb.freebsd.org/changeset/ports/486575

Log:
  www/firefox-i18n: oops, use rc1 rather than beta14

  PR:		233028

Changes:
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 6 jakub_lach 2018-12-05 21:00:48 UTC
Cannot build 64.0 on FreeBSD 12.0-PRERELEASE #0 r341510

INFO: checking rustc version...
DEBUG: Executing: `/usr/local/bin/rustc --version --verbose`
DEBUG: The command returned non-zero exit status -12.
DEBUG: Its output was:
DEBUG: | rustc 1.30.1
DEBUG: | binary: rustc
DEBUG: | commit-hash: unknown
DEBUG: | commit-date: unknown
DEBUG: | host: x86_64-unknown-freebsd
DEBUG: | release: 1.30.1
ERROR: Command `/usr/local/bin/rustc --version --verbose` failed with exit status -12.

(pkg rust)

Moreover, I cannot build rust at all. No idea what changed, I've rebuilt all ports after update to 12 a week ago. System is self hosted.
Comment 7 jakub_lach 2018-12-05 21:04:12 UTC
(In reply to jakub_lach from comment #6)

running: /usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/build/x86_64-unknown-freebsd/stage0/bin/cargo build --manifest-path /usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/src/bootstrap/Cargo.toml --frozen
Traceback (most recent call last):
  File "/usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/x.py", line 20, in <module>
    bootstrap.main()
  File "/usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/src/bootstrap/bootstrap.py", line 850, in main
    bootstrap(help_triggered)
  File "/usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/src/bootstrap/bootstrap.py", line 826, in bootstrap
    build.build_bootstrap()
  File "/usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/src/bootstrap/bootstrap.py", line 649, in build_bootstrap
    run(args, env=env, verbose=self.verbose)
  File "/usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/src/bootstrap/bootstrap.py", line 151, in run
    raise RuntimeError(err)
RuntimeError: failed to run: /usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/build/x86_64-unknown-freebsd/stage0/bin/cargo build --manifest-path /usr/obj/usr/ports/lang/rust/work/rustc-1.30.1-src/src/bootstrap/Cargo.toml --frozen
*** Error code 1
Comment 8 Jan Beich freebsd_committer 2018-12-05 21:37:01 UTC
(In reply to jakub_lach from comment #6)
> DEBUG: Executing: `/usr/local/bin/rustc --version --verbose`
> DEBUG: The command returned non-zero exit status -12.

Can you build a simple program? Maybe reinstall from the binary package. If it doesn't help file a bug assigned to rust@ team. I'm not part of rust@ and not interested in various ways rust package may break.

  $ echo 'fn main() {}' | rustc -
  $ echo $?
  $ ./rust_out
  $ echo $?

Note, lang/rust is going to be updated soon: review D18427.
Comment 9 jakub_lach 2018-12-05 21:54:27 UTC
(In reply to Jan Beich from comment #8)

I'm sorry for the confusion. I didn't want to come across as demanding rust support - just wanted to share an observation :).

What I'm trying to say is that I cannot build www/firefox with packaged rust because it fails. Moreover, I cannot build rust from ports at all too.

But yet, rust and firefox are the sole the problematic packages, as all ports were rebuild from source just a week ago, and system is self-hosted (source upgrade) - should be sane.
Comment 10 Jan Beich freebsd_committer 2018-12-05 22:15:00 UTC
(In reply to jakub_lach from comment #9)
> But yet, rust and firefox are the sole the problematic packages,
> as all ports were rebuild from source just a week ago, and system
> is self-hosted (source upgrade) - should be sane.

rust and firefox build fine in poudriere, on all supported FreeBSD releases. Try bisecting your environment e.g., copy the whole environment inside jail and confirm the issue then gradually decimate differences until you figure out the issue.

For one, 11.2 -> 12.0 upgrade requires rebuilding everything from scratch and the best way to get rid of old ABI is to nuke /usr/local. ino64 or kqueue/abstime backward compatibility only permits either old ABI or new ABI but not a mix of both in the same runtime.
Comment 11 commit-hook freebsd_committer 2018-12-06 05:44:57 UTC
A commit references this bug:

Author: jbeich
Date: Thu Dec  6 05:44:14 UTC 2018
New revision: 486734
URL: https://svnweb.freebsd.org/changeset/ports/486734

Log:
  www/firefox: switch to rc2

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2018-12-04&enddate=2018-12-06
  PR:		233028

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 12 commit-hook freebsd_committer 2018-12-07 04:49:59 UTC
A commit references this bug:

Author: jbeich
Date: Fri Dec  7 04:49:41 UTC 2018
New revision: 486823
URL: https://svnweb.freebsd.org/changeset/ports/486823

Log:
  www/firefox: switch to rc3

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2018-12-06&enddate=2018-12-07
  PR:		233028

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 13 jakub_lach 2018-12-08 04:18:40 UTC
(In reply to Jan Beich from comment #10)

I did rebuild everything. For now, it looks like lang/rust depends to compile/run on COMPAT_FREEBSD11 in kernel here.

Thanks for your support, compiling Firefox now :).
Comment 14 commit-hook freebsd_committer 2018-12-10 20:50:32 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec 10 20:49:36 UTC 2018
New revision: 487200
URL: https://svnweb.freebsd.org/changeset/ports/487200

Log:
  MFH: r486573 r486574 r486575 r486734 r486823

  www/firefox: update to 64.0

  Changes:	https://www.mozilla.org/firefox/64.0/releasenotes/
  PR:		233028
  Security:	d10b49b2-8d02-49e8-afde-0844626317af
  Approved by:	ports-secteam (miwi)
  Differential Revision:	https://reviews.freebsd.org/D17871

Changes:
_U  branches/2018Q4/
  branches/2018Q4/Mk/Uses/gecko.mk
  branches/2018Q4/Mk/bsd.gecko.mk
  branches/2018Q4/www/firefox/Makefile
  branches/2018Q4/www/firefox/distinfo
  branches/2018Q4/www/firefox/files/patch-bug1507655
  branches/2018Q4/www/firefox/files/patch-bug847568
  branches/2018Q4/www/firefox-i18n/Makefile
  branches/2018Q4/www/firefox-i18n/distinfo